% Diplomarbeit Johannes Loose
% Octave Version 3.0.0
% zum Ausfueren in octave: statistik(k, anzfl, outputpath)

function [acart,rcart]=fehlerverteilung(pol)
% pol ist die Flaeche in relativen Polarkoordinaten
% rcart ist die Flaeche nach streckenproportionaler Fehlerverteilung in relativen kart. Koordinaten
% acart ist die Flaeche nach streckenproportionaler Fehlerverteilung in absoltuen kart. Koordinaten

A=length(pol);

% Umrechnung in relative kartesische Koordinaten
[cart(:,1),cart(:,2)]=pol2cart(pol(:,2),pol(:,1));
% Fehlerverteilung
rcart=cart-[sum(cart(:,1))*ones(A,1),sum(cart(:,2))*ones(A,1)]./umfang(cart).*(sqrt(cart(:,1).^2+cart(:,2).^2)*ones(1,2));
% cart von relativen kartesischen Koordinaten in absolute
acart=rel2abscart(rcart);
