% Diplomarbeit Johannes Loose
% Octave Version 3.0.0
% zum Ausfueren in octave: statistik(k, anzfl, outputpath)
% Funktion ungenutzt, da Flaechen aus Datei geladen werden

function pol=zufallsflaeche(n)
% Erzeugen einer Zufallsflaeche
% n die Anzahl der Eckpunkte
% pol Flaeche in relativen Polarkoordinaten

cart=30*rand(n,2)-15*ones(n,2);
[pol(:,2) pol(:,1)]=cart2pol(cart(:,1),cart(:,2));
[A,I]=sort(pol(:,2));
pol=[pol(I,1) A];
[cart(:,1),cart(:,2)]=pol2cart(pol(:,2),pol(:,1));
cart(n+1,:)=cart(1,:);
plot(cart(:,1),cart(:,2));

% Umwandlung in relative kartesische Koordinaten
for i=1:n-1
	rcart(i,:)=cart(i+1,:)-cart(i,:);
end
rcart(n,:)=cart(n,:)-cart(1,:);
[pol(:,2),pol(:,1)]=cart2pol(rcart(:,1),rcart(:,2));
pol(:,2)=pol(:,2)+(pol(:,2)<0)*2*pi;
